Skip to main content
GET
/
advertising
/
api
/
v1
/
revenue-share
/
{organization_id}
/
summary
Revenue share summary
curl --request GET \
  --url https://www.closient.com/advertising/api/v1/revenue-share/{organization_id}/summary \
  --header 'X-API-Key: <api-key>'
{
  "organization_id": "<string>",
  "total_earned": "<string>",
  "total_paid": "<string>",
  "pending_balance": "<string>",
  "active_locations": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.closient.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

organization_id
string<shortuuid>
required

UUID of the organization.

Required string length: 22
Pattern: ^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$

Response

200 - application/json

OK

organization_id
string<shortuuid>
required

UUID of the organization.

Required string length: 22
Pattern: ^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$
total_earned
string
required

Total retailer share across all periods in USD.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
total_paid
string
required

Total amount already paid in USD.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
pending_balance
string
required

Outstanding balance to be paid in USD.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
active_locations
integer
required

Number of active locations for this organization.